We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent 2d3651d commit 117bb1dCopy full SHA for 117bb1d
.gitignore
@@ -3,4 +3,5 @@ book/
3
.idea
4
.DS_Store
5
target
6
+tmp
7
nostarch.sh
@@ -0,0 +1,18 @@
1
+#!/bin/bash
2
+
+set -eu
+mkdir -p tmp
+# Get all the markdown files in the src dir,
8
+ls src/*.md | \
9
+# except for SUMMARY.md.
10
+grep -v SUMMARY.md | \
11
+# Extract just the filename so we can reuse it easily.
12
+xargs -n 1 basename | \
13
+# Change all the links from markdown to italicized inline text.
14
+while IFS= read -r filename; do
15
+ cargo run --bin link2print < "src/$filename" > "tmp/$filename"
16
+done
17
+# Concat the files into the nostarch dir.
18
+cargo run --bin concat_chapters tmp nostarch
0 commit comments